## python-novaclient 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
simplejson>=3.5.1 # MIT
six>=1.10.0 # MIT
Babel!=2.4.0,>=2.3.4 # BSD

=== debian/changelog ===
python-novaclient (2:11.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 00:21:37 +0200

python-novaclient (2:11.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using Python 3 to build the sphinx doc.
  * Removed fix-console-log-encoding.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 11:59:56 +0200

python-novaclient (2:9.1.1-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:13:48 +0100

python-novaclient (2:9.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:54:35 +0000

python-novaclient (2:9.1.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 21:04:54 +0000

python-novaclient (2:9.1.0-3) unstable; urgency=medium

  * Add fix-console-log-encoding.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Feb 2018 09:40:02 +0100

python-novaclient (2:9.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:52:38 +0000

python-novaclient (2:9.1.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Remove Handle_error_response_for_webob_ge_1.6.0.patch applied upstream.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Oct 2017 21:56:31 +0000

python-novaclient (2:3.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Added Handle_error_response_for_webob_ge_1.6.0.patch (Closes: #830304).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 16:35:34 +0200

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-cinderclient (>= 1:3.3.0),
 python-coverage,
 python-ddt,
 python-fixtures,
 python-glanceclient (>= 1:2.8.0),
 python-hacking (>= 0.10.0),
 python-iso8601,
 python-keyring (>= 7.2),
 python-keystoneauth1 (>= 3.4.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock,
 python-neutronclient (>= 1:6.7.0),
 python-os-client-config (>= 1.28.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-prettytable,
 python-requests (>= 2.8.1),
 python-requests-mock (>= 1.2.0),
 python-simplejson (>= 2.2.0),
 python-six,
 python-stestr (>= 2.0.0),
 python-tempest (>= 1:17.1.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-unittest2,
 python3-babel,
 python3-cinderclient (>= 1:3.3.0),
 python3-ddt,
 python3-fixtures,
 python3-glanceclient (>= 1:2.8.0),
 python3-iso8601,
 python3-keyring (>= 7.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock,
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-client-config (>= 1.28.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable,
 python3-requests (>= 2.8.1),
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 2.2.0),
 python3-six,
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 subunit,
Standards-Version: 4.1.3
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient

Package: python-novaclient
Architecture: all
Breaks:
 simh (<< 3.8.1-3),
Replaces:
 simh (<< 3.8.1-3),
Depends:
 python-babel,
 python-iso8601,
 python-keyring (>= 7.2),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-simplejson (>= 2.2.0),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: client library for OpenStack Compute API - Python 2.7
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 2.7 module.

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-keyring (>= 7.2),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-simplejson (>= 2.2.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient-doc/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository subunit.log build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-novaclient-doc/usr/share/doc/python-novaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## python-novaclient 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=3.5.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:13.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Mar 2019 15:39:24 -0400

python-novaclient (2:11.1.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 13:53:39 -0500

python-novaclient (2:11.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Aug 2018 14:53:28 -0400

python-novaclient (2:10.3.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-console-log-encoding.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 11:17:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-novaclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -17,67 +18,77 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python-babel,
+ python-babel (>= 2.3.4),
  python-cinderclient (>= 1:3.3.0),
- python-coverage,
- python-ddt,
- python-fixtures,
+ python-coverage (>= 4.0),
+ python-fixtures (>= 3.0.0),
  python-glanceclient (>= 1:2.8.0),
- python-hacking (>= 0.10.0),
- python-iso8601,
- python-keyring (>= 7.2),
- python-keystoneauth1 (>= 3.4.0),
+ python-hacking (>= 1.1.0),
+ python-iso8601 (>= 0.1.11),
+ python-keyring (>= 5.5.1),
+ python-keystoneauth1 (>= 3.5.0),
  python-keystoneclient (>= 1:3.8.0),
- python-mock,
+ python-mock (>= 2.0.0),
  python-neutronclient (>= 1:6.7.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-openstacksdk (>= 0.11.2),
  python-os-client-config (>= 1.28.0),
+ python-os-testr (>= 1.0.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-osprofiler (>= 1.4.0),
- python-prettytable,
+ python-prettytable (>= 0.7.2),
  python-requests (>= 2.8.1),
  python-requests-mock (>= 1.2.0),
- python-simplejson (>= 2.2.0),
- python-six,
- python-stestr (>= 2.0.0),
+ python-simplejson (>= 3.5.1),
+ python-six (>= 1.10.0),
+ python-stestr,
  python-tempest (>= 1:17.1.0),
- python-testscenarios,
+ python-testrepository (>= 0.0.18),
+ python-testscenarios (>= 0.4),
  python-testtools (>= 2.2.0),
  python-unittest2,
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-cinderclient (>= 1:3.3.0),
- python3-ddt,
- python3-fixtures,
+ python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-iso8601,
- python3-keyring (>= 7.2),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-keyring (>= 5.5.1),
+ python3-keystoneauth1 (>= 3.5.0),
  python3-keystoneclient (>= 1:3.8.0),
- python3-mock,
+ python3-mock (>= 2.0.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 1.18.1),
+ python3-openstacksdk (>= 0.11.2),
  python3-os-client-config (>= 1.28.0),
+ python3-os-testr (>= 1.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-osprofiler (>= 1.4.0),
- python3-prettytable,
+ python3-prettytable (>= 0.7.2),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.8.1),
  python3-requests-mock (>= 1.2.0),
- python3-simplejson (>= 2.2.0),
- python3-six,
- python3-stestr (>= 2.0.0),
+ python3-simplejson (>= 3.5.1),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr,
  python3-subunit,
  python3-tempest (>= 1:17.1.0),
- python3-testscenarios,
+ python3-testrepository (>= 0.0.18),
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-unittest2,
  subunit,
+ testrepository,
 Standards-Version: 4.1.3
 Homepage: https://github.com/openstack/python-novaclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-novaclient
 Architecture: all
@@ -86,17 +97,17 @@
 Replaces:
  simh (<< 3.8.1-3),
 Depends:
- python-babel,
- python-iso8601,
+ python-babel (>= 2.3.4),
+ python-iso8601 (>= 0.1.11),
  python-keyring (>= 7.2),
- python-keystoneauth1 (>= 3.4.0),
+ python-keystoneauth1 (>= 3.5.0),
  python-oslo.i18n (>= 3.15.3),
  python-oslo.serialization (>= 2.18.0),
  python-oslo.utils (>= 3.33.0),
  python-pbr (>= 2.0.0),
- python-prettytable,
- python-simplejson (>= 2.2.0),
- python-six,
+ python-prettytable (>= 0.7.2),
+ python-simplejson (>= 3.5.1),
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
 Description: client library for OpenStack Compute API - Python 2.7
@@ -132,17 +143,17 @@
 Package: python3-novaclient
 Architecture: all
 Depends:
- python3-babel,
- python3-iso8601,
+ python3-babel (>= 2.3.4),
+ python3-iso8601 (>= 0.1.11),
  python3-keyring (>= 7.2),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.5.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-prettytable,
- python3-simplejson (>= 2.2.0),
- python3-six,
+ python3-prettytable (>= 0.7.2),
+ python3-simplejson (>= 3.5.1),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for OpenStack Compute API - 3.x

## python-novaclient 15.1.0

=== debian/changelog ===
python-novaclient (2:15.1.0-3) unstable; urgency=medium

  * Make the tests use python3-novaclient (Closes: #937957).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 14:07:55 +0100

python-novaclient (2:15.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:41:27 +0200

python-novaclient (2:15.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 00:21:05 +0200

python-novaclient (2:13.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:10:19 +0200

python-novaclient (2:13.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 20:18:52 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-mock,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 subunit,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-babel,
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-simplejson,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

## python-novaclient 16.0.0

=== debian/changelog ===
python-novaclient (2:16.0.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop python3-keyring as it is no longer used (LP: #1861268).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Feb 2020 13:26:18 -0500

python-novaclient (2:16.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/t/control: Drop py2 dependency.
    - d/watch: Get tarball from pypi.debian.net.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 06 Dec 2019 10:47:21 -0500

python-novaclient (2:15.1.0-0ubuntu2) eoan; urgency=medium

  * d/tests/control: Update dependencies to use python3-novaclient.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Oct 2019 09:17:58 +0100

python-novaclient (2:15.1.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:11:31 -0400

python-novaclient (2:14.2.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jul 2019 15:32:48 -0400

python-novaclient (2:14.1.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from pypi.debian.net.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Jun 2019 14:56:38 -0400

## python-novaclient 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,5 +9,4 @@
 oslo.utils>=3.33.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.2 # BSD
 simplejson>=3.5.1 # MIT
-six>=1.10.0 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
openstackdocstheme>=1.30.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # BSD

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:17.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 10:52:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-novaclient
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Corey Bryant <corey.bryant@canonical.com>,
@@ -10,47 +11,47 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-babel,
- python3-cinderclient,
- python3-coverage,
- python3-ddt,
- python3-fixtures,
- python3-glanceclient,
- python3-hacking,
- python3-iso8601,
- python3-keyring,
- python3-keystoneauth1,
- python3-keystoneclient,
- python3-mock,
- python3-neutronclient,
- python3-openstackdocstheme,
- python3-openstacksdk,
+ python3-babel (>= 2.3.4),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-coverage (>= 4.0),
+ python3-ddt (>= 1.0.1),
+ python3-fixtures (>= 3.0.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-hacking (>= 1.1.0),
+ python3-iso8601 (>= 0.1.11),
+ python3-keystoneauth1 (>= 3.5.0),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-mock (>= 2.0.0),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-openstackdocstheme (>= 1.30.0),
+ python3-openstacksdk (>= 0.11.2),
  python3-os-client-config,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-osprofiler,
- python3-prettytable,
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-prettytable (>= 0.7.2),
  python3-requests,
- python3-requests-mock,
- python3-simplejson,
- python3-six,
- python3-sphinxcontrib.apidoc,
- python3-stestr,
+ python3-requests-mock (>= 1.2.0),
+ python3-simplejson (>= 3.5.1),
+ python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
  python3-subunit,
- python3-tempest,
- python3-testscenarios,
- python3-testtools,
+ python3-tempest (>= 1:17.1.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  python3-unittest2,
  subunit,
 Standards-Version: 4.4.1
 Homepage: https://github.com/openstack/python-novaclient
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-novaclient
+Testsuite: autopkgtest-pkg-python
 
 Package: python-novaclient-doc
 Architecture: all
@@ -73,17 +74,16 @@
 Package: python3-novaclient
 Architecture: all
 Depends:
- python3-babel,
- python3-iso8601,
- python3-keyring,
- python3-keystoneauth1,
- python3-oslo.i18n,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-pbr,
- python3-prettytable,
- python3-simplejson,
- python3-six,
+ python3-babel (>= 2.3.4),
+ python3-iso8601 (>= 0.1.11),
+ python3-keystoneauth1 (>= 3.5.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.2),
+ python3-simplejson (>= 3.5.1),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: client library for OpenStack Compute API - 3.x

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository subunit.log build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient-doc/usr/share/bash-completion/completions/nova
	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-novaclient-doc/usr/share/doc/python-novaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-novaclient 17.2.1

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 oslo.utils>=3.33.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.2 # BSD
 simplejson>=3.5.1 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
+stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:17.2.1-3) unstable; urgency=medium

  * Add Breaks: python3-django-horizon (<< 3:18.6.2) (Closes: #986143).

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Mar 2021 16:27:43 +0200

python-novaclient (2:17.2.1-2) unstable; urgency=medium

  * Fixed bash-completion script installation.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 11:01:07 +0200

python-novaclient (2:17.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:07:00 +0200

python-novaclient (2:17.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:26:21 +0200

python-novaclient (2:17.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 Apr 2020 13:21:37 +0200

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-simplejson,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 subunit,
Standards-Version: 4.4.1
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-simplejson,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2),
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_install:
 	pkgos-dh_auto_install --no-py2
-	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python-novaclient-doc/usr/share/bash-completion/completions/nova
+	install -D -m 0644 tools/nova.bash_completion $(CURDIR)/debian/python3-novaclient-doc/usr/share/bash-completion/completions/nova
 	rm -rf $(CURDIR)/debian/python-novaclient/usr/novaclient
 
 override_dh_auto_test:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/;s/^2012/0.0.0/" \
https://github.com/openstack/python-novaclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-novaclient 17.4.0

=== debian/changelog ===
python-novaclient (2:17.4.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Apr 2021 09:19:39 +0000

python-novaclient (2:17.4.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Apr 2021 15:30:40 -0400

python-novaclient (2:17.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 15:55:21 -0400

python-novaclient (2:17.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/python3-novaclient.p*: Dropped. Alternatives are no longer needed
    as package is py3 only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jul 2020 17:33:23 -0400

## python-novaclient 17.6.0

=== requirements.txt ===
--- 
+++ 
@@ -7,6 +7,5 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
-simplejson>=3.5.1 # MIT
+PrettyTable>=0.7.2 # BSD
 stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:17.6.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:24:20 -0400

python-novaclient (2:17.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 08 Jun 2021 14:10:42 +0000

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.5.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 2.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.11.2),
 python3-os-client-config,
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-prettytable (>= 0.7.2),
 python3-requests,
 python3-requests-mock (>= 1.2.0),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:2.0.1),
 python3-subunit,
 python3-tempest (>= 1:17.1.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 subunit,
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-novaclient
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-novaclient
Homepage: https://opendev.org/openstack/python-novaclient
Testsuite: autopkgtest-pkg-python

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.5.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-simplejson (>= 3.5.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:2.0.1),
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-novaclient/python-novaclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-novaclient 18.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
keystoneauth1>=3.5.0 # Apache-2.0
iso8601>=0.1.11 # MIT
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
stevedore>=2.0.1 # Apache-2.0

=== debian/changelog ===
python-novaclient (2:18.1.0-3) unstable; urgency=medium

  * Blacklisting wrong tests (Closes: #1025110):
    - test_load_actions_with_versioned_args
    - test_load_versioned_actions

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Dec 2022 16:43:45 +0100

python-novaclient (2:18.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:37:37 +0200

python-novaclient (2:18.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 10:12:28 +0200

python-novaclient (2:17.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:44:39 +0100

python-novaclient (2:17.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 22:02:43 +0100

python-novaclient (2:17.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:49:50 +0200

python-novaclient (2:17.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Sep 2021 15:36:41 +0200

python-novaclient (2:17.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:21:24 +0200

python-novaclient (2:17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1.
  * Debhelper 11.
  * Removed python3-simplejson from (build-)depends as per upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 21:42:08 +0100

=== debian/control ===
Source: python-novaclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cinderclient,
 python3-coverage,
 python3-ddt,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-neutronclient,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-client-config,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-osprofiler,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 subunit,
Standards-Version: 4.5.1
Homepage: https://github.com/openstack/python-novaclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-novaclient.git
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-novaclient

Package: python-novaclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: client library for OpenStack Compute API - doc
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the documentation.

Package: python3-novaclient
Architecture: all
Depends:
 python3-iso8601,
 python3-keyring,
 python3-keystoneauth1,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-stevedore,
 ${misc:Depends},
 ${python3:Depends},
Description: client library for OpenStack Compute API - 3.x
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 Python novaclient library and nova CLI tool for interacting with OpenStack
 Compute (Nova) through the OpenStack Compute API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	# blacklisting:
+	# https://bugs.launchpad.net/python-novaclient/+bug/1998856
+	pkgos-dh_auto_test --no-py2 'novaclient\.tests\.unit\.(?!test_shell\.TestLoadVersionedActions\.test_load_actions_with_versioned_args|test_shell\.TestLoadVersionedActions\.test_load_versioned_actions)'
 endif
 
 override_dh_sphinxdoc:

## python-novaclient 18.2.0

=== debian/changelog ===
python-novaclient (2:18.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/fix-python-3.11-tests-compatibility.patch: Cherry-picked from
    upstream to fix failing tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:26:53 -0500

python-novaclient (2:18.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:25:20 -0400

python-novaclient (2:18.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:23:33 -0400

## python-novaclient 18.3.0

=== debian/changelog ===
python-novaclient (2:18.3.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 14:55:59 +0000

python-novaclient (2:18.3.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/fix-python-3.11-tests-compatibility.patch: Dropped. Fixed in
    new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:08:16 -0400

## python-novaclient 18.4.0

=== debian/changelog ===
python-novaclient (2:18.4.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2023 22:07:49 +0000

python-novaclient (2:18.4.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:26:13 -0400
